
Name: lxqt-config
Version: 1.4.0
Release: %mkrel 1
Source0: http://downloads.lxqt.org/lxqt/%{version}/%{name}-%{version}.tar.xz
Summary: Config panel for the LXQt desktop
URL: http://lxqt.org/
License: LGPLv2+
Group: Graphical desktop/LXQT
#------------------------------------------
BuildRequires: cmake
BuildRequires: desktop-file-utils
BuildRequires: zlib1-devel
BuildRequires: %{_lib}qt5core-devel
BuildRequires: libxcb-devel
BuildRequires: %{_lib}x11-devel
BuildRequires: %{_lib}xi-devel
BuildRequires: %{_lib}kf5kscreen-devel
BuildRequires: %{_lib}kf5windowsystem-devel
BuildRequires: %{_lib}qtxdg-devel >= %version
BuildRequires: %{_lib}lxqt-devel  >= %version
BuildRequires: lxqt-build-tools >= 0.13.0
BuildRequires: %{_lib}xcursor-devel
BuildRequires: %{_lib}qt5concurrent-devel
BuildRequires: %{_lib}qt5help-devel
BuildRequires: %{_lib}qt5svg-devel
BuildRequires: %{_lib}qt5gui-devel
BuildRequires: libpthread-stubs
BuildRequires: x11-driver-input-libinput-devel
Obsoletes:	lxqt-l10n


%description
Config panel for the LXQt desktop


%prep
%setup -q %{name}-%{version}

%cmake_qt5 


%build
%make -C build

%install
rm -rf %buildroot
%makeinstall_std -C build

# fix empty category - reported upstream https://github.com/lxde/lxqt/issues/509
sed -i 's/;;/;/' %{buildroot}%{_datadir}/applications/lxqt-config-monitor.desktop

#menu entry for pclos
desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-System-Configuration" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/lxqt-config.desktop


%files
%{_bindir}/lxqt-config
%{_bindir}/lxqt-config-locale
%{_bindir}/lxqt-config-input
%{_bindir}/lxqt-config-appearance
%{_bindir}/lxqt-config-file-associations
%{_bindir}/lxqt-config-monitor
%{_bindir}/lxqt-config-brightness
%{_libdir}/lxqt-config/lib*.so
%{_datadir}/applications/lxqt-config*.desktop
%{_iconsdir}/hicolor/*/apps/brightnesssettings.svg
%{_datadir}/lxqt/icons/monitor.svg
%{_datadir}/lxqt/translations/%{name}/%{name}_*.qm
%{_datadir}/lxqt/translations/%{name}-appearance/%{name}-appearance_*.qm
%{_datadir}/lxqt/translations/%{name}-brightness/%{name}-brightness_*.qm
%{_datadir}/lxqt/translations/%{name}-cursor/%{name}-cursor_*.qm
%{_datadir}/lxqt/translations/%{name}-file-associations/%{name}-file-associations_*.qm
%{_datadir}/lxqt/translations/%{name}-input/%{name}-input_*.qm
%{_datadir}/lxqt/translations/%{name}-locale/%{name}-locale_*.qm
%{_datadir}/lxqt/translations/%{name}-monitor/%{name}-monitor_*.qm
%{_mandir}/man1/%{name}-appearance.*.bz2
%{_mandir}/man1/%{name}-mouse.*.bz2
%{_mandir}/man1/%{name}.*.bz2



#manually do this until fixed upstream
%posttrans
ln -fs /%{_libdir}/lxqt-config/liblxqt-config-cursor.so %{_libdir}/liblxqt-config-cursor.so
/sbin/ldconfig

%changelog
* Sat Nov 12 2023 daniel - 1.4.0-1pclos2023
- new version

* Sat Apr 15 2023 daniel - 1.3.0-1pclos2023
- new version

* Tue Feb 14 2023 tex - 1.2.0-3pclos2023
- fix build with plasma 5.27.0

* Wed Dec 21 2022 tex - 1.2.0-2pclos2022
- rebuild against updates

* Sat Nov 05 2022 daniel - 1.2.0-1pclos2022
- new version

* Mon Sep 19 2022 tex - 1.1.0-2pclos2022
- rebuild against updates

* Sun Apr 17 2022 daniel - 1.1.0-1pclos2022
- 1.1.0

* Fri Nov 05 2021 daniel - 1.0.0-1pclos2021
- 1.0.0 

* Thu Apr 15 2021 daniel <> 0.17.1-1pclos2021
- 0.17.1

* Sat Dec 05 2020 daniel <meisssw01 at gmail.com> 0.16.1-1pclos2020
- 0.16.1

* Sun Nov 22 2020 tex - 0.16.0-2pclos2020
- rebuild against updates

* Thu Nov 05 2020 daniel <meisssw01 at gmail.com> 0.16.0-1pclos2020
- 0.16.0

* Sat Sep 12 2020 tex - 0.15.0-3pclos2020
- rebuild against updates

* Sun Jun 14 2020 daniel <meisssw01 at gmail.com> 0.15.0-2pclos2020
- rebuild against updates
- add BR xi-devel

* Sun Apr 26 2020 daniel <meisssw01 at gmail.com> 0.15.0-1pclos2020
- 0.15.0

* Sat Mar 02 2019 daniel <meisssw01 at gmail.com> 0.14.1-1pclos2019
- update

* Wed Feb 06 2019 tex - 0.14.0-2pclos2019
- rebuild against updates

* Sun Jan 27 2019 daniel <meisssw01 at gmail.com> 0.14.0-1pclos2019
- update

* Sat Jul 28 2018 daniel <meisssw01 at gmail.com> 0.13.0-1pclos2018
- update

* Mon Oct 23 2017 daniel <meisssw01 at gmail.com> 0.12.0-1pclos2017
- update

* Mon Jan 02 2017 daniel <meisssw01 at gmail.com> 0.11.1-1pclos2017
- update

* Mon Sep 26 2016 ghostbunny <ghostbunny at gmx dot de> 0.11.0-1pclos2016
- 0.11.0

* Sun Apr 03 2016 bb <bb> 0.10.0-5pclos2016
- rebuild

* Sat Apr 02 2016 bb <bb> 0.10.0-4pclos2016
- rebuild against updated libs

* Sun Feb 28 2016 daniel <meisssw01 at gmail.com> 0.10.0-3pclos2016
- rebuild for 32bit

* Fri Nov 13 2015 bb <bb> 0.10.0-2pclos2015
- add menu entry to desktop file

* Tue Nov 10 2015 bb <bb> 0.10.0-1pclos2015
- import into pclos
